Subject: RE: B20.1: Thread support seems to be broken in 'gdb'
From: "Jon Leichter" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 21 Oct 1999 19:32:16 -0700

I know that Cygwin is not thread safe. I was under the assumption that this
specifically applies to the Cygwin DLL, which I am not using in the sample
that I've provided. My sample is a pure Mingw32 compiled program and does not
use the Cygwin DLL. The resulting binary IS supported because the threads are
managed by Win32 DLLs.

The issue is whether or not (Cygwin's provided) 'gdb' is supposed to handle
threads. As I pointed out, Mingw32's distribution of 'gdb' has no problem
debugging threads. It seems reasonable to expect the same from Cygwin's
distribution.

Jon Leichter
[email-masked]

> -----Original Message-----
> From: Earnie Boyd [mailto:[email-masked]]
> Sent: Thursday, October 21, 1999 7:27 PM
> To: Jon Leichter; [email-masked]
> Cc: [email-masked]
> Subject: Re: B20.1: Thread support seems to be broken in 'gdb'
>
>
> --- Jon Leichter <[email-masked]> wrote:
> > I could not find mention of this problem in the Cygwin FAQs or the mailing
> > list.
> >
>
> You didn't look hard enough.  Cygwin is _not_ thread safe.
>
> -8<-
> >
> > I always get a signal SIGTRAP message whenever I try to debug any threaded
> > application. The rest of the 'gdb' session is completely
> unusable. I can run
> > this program (outside of the debugger) with no problem.
> >
> > I'll point out that the version of 'gdb' provided with Mingw32's
> standalone
> > package does not have this problem.
> >
>
>
> =====
> Earnie Boyd <mailto:[email-masked]>
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]